﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xunit;

namespace OptionsPattern.Sutdy.Advanced
{
    public class OptionsFactoryTest : IDisposable
    {
         private readonly ITestOutputHelper? _output;
        public OptionsFactoryTest(ITestOutputHelperAccessor outputHelperAccessor) 
        {
            if (outputHelperAccessor == null)
            {
                throw new ArgumentNullException(nameof(outputHelperAccessor));
            }
            _output = outputHelperAccessor.Output;
        }

        [Fact]
        public void Test()
        {
        }

        public void Dispose()
        {
            
        }
    }
}
